Skip to content
Skip to main content
DELETE
https://api.us.nylas.com/v3/grants/{grant_id}/settings/{setting_name}

Delete a grant setting

Removes the setting and returns the grant to that setting's default behavior. Get grant settings describes each setting's default.

Returns 200 whether or not the setting had a value, so retrying the request is safe.

NYLAS API KEY

Parameters

Path parameters

grant_id*string

ID of the grant to access.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
setting_name*string

The setting name. Request and response bodies use the same name as the JSON key.

synced-calendars

Responses

request_id*string

ID of the request.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
DELETEhttps://api.us.nylas.com/v3/grants/5967ca40-a2d8-4ee0-a0e0-6f18ace39a90/settings/{setting_name}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access.

setting_namerequiredstring

The setting name. Request and response bodies use the same name as the JSON key.